<ion-content>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-item>
      <ion-label>{{ 'Home >> Delivery Logs >> Edit' | translate }}</ion-label>
    </ion-item>
  </ion-toolbar>
  <ion-grid>
    <ion-row>
      <ion-col size-md="6" offset-md="3">
        <ion-card class="ion-padding">
          <ion-card-header>
            <ion-card-title>{{ 'Delivery Log' | translate }}</ion-card-title>
          </ion-card-header>
          <ion-card-content>
            <form method="post">

              <div align="center">
                <ion-avatar>
                  <img [src]="this.cacheObject?.visitor.profilePicture.content">
                </ion-avatar>
              </div>

              <ion-item>
                <ion-label position="floating">{{ 'Visitor Name' | translate }}</ion-label>
                <ion-input type="text" name="name" [readonly]="true" value="{{this.cacheObject?.visitor.name}}"></ion-input>
              </ion-item>

              <ion-item>
                <ion-label position="floating">{{ 'Visitor Mobile Number' | translate }}</ion-label>
                <ion-input type="number" name="phone" [readonly]="true" value="{{this.cacheObject?.visitor.phone}}"></ion-input>
              </ion-item>

              <ion-item>
                <ion-label position="floating">{{ 'Visitor Address' | translate }}</ion-label>
                <ion-input type="text" name="address" [readonly]="true" value="{{this.cacheObject?.visitor.address}}"></ion-input>
              </ion-item>

              <ion-item *ngIf="this.cacheObject!=null && this.cacheObject.rackNumber != null">
                <ion-label position="floating">{{ 'Rack Number' | translate }}</ion-label>
                <ion-input type="text" name="rackNumber" [readonly]="true" value="{{this.cacheObject?.rackNumber}}"></ion-input>
              </ion-item>

              <!-- -->
              <ion-row *ngIf="this.cacheObject?.approvalStatus === 'Pending'; else elseBlock">
                <ion-col>
                  <ion-button (click)="received()" expand="full" color="primary">{{ 'Recieved' | translate }}</ion-button>
                </ion-col>
              </ion-row>
              <ng-template #elseBlock>
                <ion-row>
                  <ion-chip expand="full" color="success" *ngIf="this.cacheObject?.approvalStatus === 'Recieved'">
                    <ion-icon name="checkmark"></ion-icon>
                    <ion-label>{{ 'Received' | translate }}</ion-label>
                  </ion-chip>
                  <ion-chip expand="full" color="danger" *ngIf="this.cacheObject?.approvalStatus === 'Delivered'">
                    <ion-icon name="close"></ion-icon>
                    <ion-label>{{ 'Delivered' | translate }}</ion-label>
                  </ion-chip>
                  <ion-chip expand="full" color="primary" *ngIf="this.cacheObject?.approvalStatus === 'Pending'">
                    <ion-icon name="stopwatch"></ion-icon>
                    <ion-label>{{ 'Pending' | translate }}</ion-label>
                  </ion-chip>
                </ion-row>
              </ng-template>
            </form>
          </ion-card-content>
        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>